// ImageToUChar.h: header file
//	
// Copyright 1998, Joel Atkin


#ifndef H_IMAGE_TO_UCHAR
#define H_IMAGE_TO_UCHAR


// constants

const int MENU_FILE_OPEN = 30100;
const int MENU_FILE_SAVE = 30101;

const int OPEN_IMAGE = 40100;
const int SAVE_TO_CHAR = 40101;

////////////////////
// Application Class
////////////////////

class ITC : public BApplication
{
	public:
		ITC(const char *pmMimeType);		// constructor
		virtual void AboutRequested();		// handle about
};

///////////////
// Window Class
///////////////

class ITCWindow : public BWindow {
	public:
		ITCWindow (BRect pmFrame, const char *pmTitle);	// constructor
		virtual bool QuitRequested();					// handle quit message
};


/////////////
// View Class
/////////////

class ITCView : public BView {
	public:
		ITCView (BRect pmFrame, const char *pmName);
		virtual void Draw(BRect updateRect);
		virtual void MessageReceived (BMessage *message);	// handle messages
		
		void OpenImageFile (const char *fileName);
		void SaveToChar(const char *fileName);
		
	private:
		BBitmap *theImage;

};


#endif // H_IMAGE_TO_UCHAR
